## v0.8.0

**Released:** 11/9/2020

We're happy to share that ignite can now be generally configured with a central config file.
Check out the docs for how to configure ignite [here](https://ignite.rtfd.io/en/stable/ignite-configuration/).

Using this new config, it's no longer necessary to remember to pass `--runtime` and `--network-plugin` with every command.
You can choose your own default behavior.

Working with individual VM's is now also much less error-prone.
This release includes a new API version, `v1alpha3`, which allows VM's to remember their runtime and network config.

There's no current tooling for migrating to the new VM API for live workloads.
However, older API objects are forwards compatible, and restarting the workload should upgrade the API on disk.
As always, taking any necessary backups and re-creating workloads is the safest upgrade path :)

As is tradition, we have fixed bugs:  networking bugs, lifecycle bugs, little UX things -- check the list.

It's now possible to run ignite within nested container environements such as containerd-within-docker and WSL2.
Detailed documentation for containerized setups will [graduate from issue comments](https://github.com/weaveworks/ignite/issues/129#issuecomment-647904858) to the latest docs site soon.

It's really notable that our e2e test suite is getting more complete!
It's great to work with a project where confidence improves with every new patch, haha!

Alongside this release, we've updated all of the base OS images with new release tools powered by GitHub Actions.
We're not shipping any new kernels, so the default is the same as before -- new kernels will be pushed in an upcoming release.

This release consists of **52** noteworthy PR's from **10** contributors.  **37** of these patches were sent by **6** external contributors.
**7** patches were sent by **5** people new to the project; welcome! :)
Thanks so much for using and contributing back to the project.


Cheers to everyone who was part of shipping this release:
- @darkowlzz
- @dholbach
- @gabeio
- @innobead
- @Khalian
- @leakingtapan
- @luxas
- @networkop
- @stealthybox
- @twelho


## Installing

Check out the guide here: https://ignite.rtfd.io/en/stable/installation/


## OCI Images for this release

[ignite](
https://hub.docker.com/r/weaveworks/ignite/tags?page=1&name=v0.8.0
) ( sandbox )  

<!-- [ignite-kernel:4.14.182](
https://hub.docker.com/r/weaveworks/ignite-kernel/tags?page=1&name=4.14.182
) [multi-arch]
[ignite-kernel:4.19.125](
https://hub.docker.com/r/weaveworks/ignite-kernel/tags?page=1&name=4.19.125
) [multi-arch] ( default )
[ignite-kernel:5.4.43](
https://hub.docker.com/r/weaveworks/ignite-kernel/tags?page=1&name=5.4.43
) [multi-arch] -->


[ignite-amazon-kernel](
https://hub.docker.com/r/weaveworks/ignite-amazon-kernel/tags?page=1&name=v0.8.0
)  
[ignite-amazonlinux](
https://hub.docker.com/r/weaveworks/ignite-amazonlinux/tags?page=1&name=v0.8.0
) 2  
[ignite-alpine](
https://hub.docker.com/r/weaveworks/ignite-alpine/tags?page=1&name=v0.8.0
)  
[ignite-centos](
https://hub.docker.com/r/weaveworks/ignite-centos/tags?page=1&name=v0.8.0
) 7, 8  
[ignite-opensuse](
https://hub.docker.com/r/weaveworks/ignite-opensuse/tags?page=1&name=v0.8.0
) tumbleweed, leap  
[ignite-ubuntu](
https://hub.docker.com/r/weaveworks/ignite-ubuntu/tags?page=1&name=v0.8.0
) [multi-arch] 16.04, 18.04, 20.04  
[ignite-kubeadm](
https://hub.docker.com/r/weaveworks/ignite-kubeadm/tags?page=1&name=v0.8.0
) [multi-arch] v1.18.3  


_________________


### Features

 - Add support for ignite configuration file ([#601](https://github.com/weaveworks/ignite/pull/601), [darkowlzz](https://github.com/darkowlzz))
 - Add ignite configuration file support to ignited  ([#655](https://github.com/weaveworks/ignite/pull/655), [darkowlzz](https://github.com/darkowlzz))


### Enhancements

 - Update ignite help, image and kernel to no longer require root ([#676](https://github.com/weaveworks/ignite/pull/676), [Khalian](https://github.com/Khalian))
 - Build kernel from a specific git tag ([#725](https://github.com/weaveworks/ignite/pull/725), [darkowlzz](https://github.com/darkowlzz))
 - Shadow the bogus /etc/resolv.conf of centos:8 to fix `wksctl` ([#611](https://github.com/weaveworks/ignite/pull/611), [twelho](https://github.com/twelho))
 - Make runtime and network-plugin VM create flags ([#669](https://github.com/weaveworks/ignite/pull/669), [darkowlzz](https://github.com/darkowlzz))
 - Fix in-container device nodes for containerd runtime ([#653](https://github.com/weaveworks/ignite/pull/653), [stealthybox](https://github.com/stealthybox))
 - Exec blkid to getUUID() instead of relying on udevd symlinks ([#652](https://github.com/weaveworks/ignite/pull/652), [stealthybox](https://github.com/stealthybox))
 - Configure dmsetup to fallback to managing device nodes without udevd ([#654](https://github.com/weaveworks/ignite/pull/654), [stealthybox](https://github.com/stealthybox))


### Documentation

 - Check links using GH Action ([#573](https://github.com/weaveworks/ignite/pull/573), [dholbach](https://github.com/dholbach))
 - Add api-docs gen in CI ([#641](https://github.com/weaveworks/ignite/pull/641), [darkowlzz](https://github.com/darkowlzz))
 - Update installation instructions for Amazon Linux ([#671](https://github.com/weaveworks/ignite/pull/671), [Khalian](https://github.com/Khalian))
 - Fixes command in docs ([#678](https://github.com/weaveworks/ignite/pull/678), [gabeio](https://github.com/gabeio))
 - docs/installation: set VM status.running to true ([#667](https://github.com/weaveworks/ignite/pull/667), [darkowlzz](https://github.com/darkowlzz))
 - Update API conversion docs ([#684](https://github.com/weaveworks/ignite/pull/684), [darkowlzz](https://github.com/darkowlzz))
 - Pin v1alpha1 API Docs to v0.7.0 GH links ([#625](https://github.com/weaveworks/ignite/pull/625), [stealthybox](https://github.com/stealthybox))
 - Remove runtime info from version ([#677](https://github.com/weaveworks/ignite/pull/677), [darkowlzz](https://github.com/darkowlzz))
 - Fix multi-node networking by using Flannel ([#645](https://github.com/weaveworks/ignite/pull/645), [twelho](https://github.com/twelho))
 - Add kubefire in awesome doc ([#663](https://github.com/weaveworks/ignite/pull/663), [innobead](https://github.com/innobead))


### Bug Fixes

 - Fix CNI portmapping cleanup ([#691](https://github.com/weaveworks/ignite/pull/691), [networkop](https://github.com/networkop))
 - Support removing networking from stopped VM ([#661](https://github.com/weaveworks/ignite/pull/661), [innobead](https://github.com/innobead))
 - Configuring proper gateway for ignite-spawn DHCP ([#665](https://github.com/weaveworks/ignite/pull/665), [stealthybox](https://github.com/stealthybox))
 - Fix image platform for arm image ([#636](https://github.com/weaveworks/ignite/pull/636), [leakingtapan](https://github.com/leakingtapan))
 - Fix concurrent VM creation due to busy device error ([#712](https://github.com/weaveworks/ignite/pull/712), [darkowlzz](https://github.com/darkowlzz))
 - Fix VM name generation when not specified  ([#698](https://github.com/weaveworks/ignite/pull/698), [darkowlzz](https://github.com/darkowlzz))
 - Fix CNI networking issues (MAC duplication + bridge ageing) ([#638](https://github.com/weaveworks/ignite/pull/638), [twelho](https://github.com/twelho))


### API Changes

 - Remove ignite v1alpha1 API ([#620](https://github.com/weaveworks/ignite/pull/620), [darkowlzz](https://github.com/darkowlzz))
 - Add VM name validation ([#688](https://github.com/weaveworks/ignite/pull/688), [darkowlzz](https://github.com/darkowlzz))
 - Add runtime and network info in VM object ([#651](https://github.com/weaveworks/ignite/pull/651), [darkowlzz](https://github.com/darkowlzz))
 - Add ignite/v1alpha3 API ([#624](https://github.com/weaveworks/ignite/pull/624), [darkowlzz](https://github.com/darkowlzz))
 - Add VM Status defaulter ([#662](https://github.com/weaveworks/ignite/pull/662), [darkowlzz](https://github.com/darkowlzz))
 - Initialize nil status network during conversion ([#681](https://github.com/weaveworks/ignite/pull/681), [darkowlzz](https://github.com/darkowlzz))
 - Fix starting VM with non-default providers ([#687](https://github.com/weaveworks/ignite/pull/687), [darkowlzz](https://github.com/darkowlzz))
 - Allow provider override when using config file ([#647](https://github.com/weaveworks/ignite/pull/647), [darkowlzz](https://github.com/darkowlzz))


### Cleanup
 - Export command option types ([#686](https://github.com/weaveworks/ignite/pull/686), [darkowlzz](https://github.com/darkowlzz))
 - Error check and return - cleanup 2 ([#648](https://github.com/weaveworks/ignite/pull/648), [darkowlzz](https://github.com/darkowlzz))
 - Add Golangci-lint and fix errors ([#640](https://github.com/weaveworks/ignite/pull/640), [darkowlzz](https://github.com/darkowlzz))


### Testing

 - Add ignited gitops mode e2e test ([#689](https://github.com/weaveworks/ignite/pull/689), [darkowlzz](https://github.com/darkowlzz))
 - Add e2e test helpers ([#666](https://github.com/weaveworks/ignite/pull/666), [darkowlzz](https://github.com/darkowlzz))
 - e2e: Add test for concurrent VM creation ([#715](https://github.com/weaveworks/ignite/pull/715), [darkowlzz](https://github.com/darkowlzz))


### Release Infra

 - workflow: Upload release assets ([#719](https://github.com/weaveworks/ignite/pull/719), [darkowlzz](https://github.com/darkowlzz))
 - Add kernel image release workflow ([#722](https://github.com/weaveworks/ignite/pull/722), [darkowlzz](https://github.com/darkowlzz))
 - Add OS image release workflow ([#717](https://github.com/weaveworks/ignite/pull/717), [darkowlzz](https://github.com/darkowlzz))
 - Prepare release infra ([#727](https://github.com/weaveworks/ignite/pull/727), [stealthybox](https://github.com/stealthybox))
 - Run link-checker periodically on `master` -- disable for PR's ([#656](https://github.com/weaveworks/ignite/pull/656), [stealthybox](https://github.com/stealthybox))
 - Add build-binaries github action ([#696](https://github.com/weaveworks/ignite/pull/696), [darkowlzz](https://github.com/darkowlzz))
 - Add github action to update go dependencies ([#693](https://github.com/weaveworks/ignite/pull/693), [darkowlzz](https://github.com/darkowlzz))
 - Add dependabot for github-actions and gomod ([#680](https://github.com/weaveworks/ignite/pull/680), [darkowlzz](https://github.com/darkowlzz))


### Dependencies

 - Use the new libgitops GitDirectory implementation ([#615](https://github.com/weaveworks/ignite/pull/615), [luxas](https://github.com/luxas))
 - Use the new knownhosts package in fluxcd/toolkit ([#617](https://github.com/weaveworks/ignite/pull/617), [luxas](https://github.com/luxas))
 - Rename the `gitops-toolkit` dependency to `libgitops` ([#612](https://github.com/weaveworks/ignite/pull/612), [twelho](https://github.com/twelho))


### Automated

 - Bump peter-evans/create-pull-request from v3.4.0 to v3.4.1 ([#710](https://github.com/weaveworks/ignite/pull/710), [dependabot[bot]](https://github.com/dependabot[bot]))
 - Bump golangci/golangci-lint-action from v2.2.1 to v2.3.0 ([#720](https://github.com/weaveworks/ignite/pull/720), [dependabot[bot]](https://github.com/dependabot[bot]))
 - Bump golangci/golangci-lint-action from v2.2.0 to v2.2.1 ([#709](https://github.com/weaveworks/ignite/pull/709), [dependabot[bot]](https://github.com/dependabot[bot]))
 - Bump actions/setup-python from v2.1.3 to v2.1.4 ([#714](https://github.com/weaveworks/ignite/pull/714), [dependabot[bot]](https://github.com/dependabot[bot]))
 - Bump actions/setup-python from v2.1.2 to v2.1.3 ([#707](https://github.com/weaveworks/ignite/pull/707), [dependabot[bot]](https://github.com/dependabot[bot]))
 - Bump golangci/golangci-lint-action from v1 to v2.2.0 ([#682](https://github.com/weaveworks/ignite/pull/682), [dependabot[bot]](https://github.com/dependabot[bot]))
 - Bump actions/setup-python from v1 to v2.1.2 ([#683](https://github.com/weaveworks/ignite/pull/683), [dependabot[bot]](https://github.com/dependabot[bot]))
 - [automated] Update go dependencies ([#718](https://github.com/weaveworks/ignite/pull/718), [github-actions[bot]](https://github.com/github-actions[bot]))
 - [automated] Update go dependencies ([#713](https://github.com/weaveworks/ignite/pull/713), [github-actions[bot]](https://github.com/github-actions[bot]))
 - [automated] Update go dependencies ([#708](https://github.com/weaveworks/ignite/pull/708), [github-actions[bot]](https://github.com/github-actions[bot]))
 - [automated] Update go dependencies ([#706](https://github.com/weaveworks/ignite/pull/706), [github-actions[bot]](https://github.com/github-actions[bot]))
 - [automated] Update go dependencies ([#705](https://github.com/weaveworks/ignite/pull/705), [github-actions[bot]](https://github.com/github-actions[bot]))
 - [automated] Update go dependencies ([#695](https://github.com/weaveworks/ignite/pull/695), [github-actions[bot]](https://github.com/github-actions[bot]))
 - [automated] Update go dependencies ([#694](https://github.com/weaveworks/ignite/pull/694), [github-actions[bot]](https://github.com/github-actions[bot]))


### Governance
 - Update CODEOWNERS -- fix bug + add @darkowlzz ([#704](https://github.com/weaveworks/ignite/pull/704), [stealthybox](https://github.com/stealthybox))

